aboutsummaryrefslogtreecommitdiffstats
path: root/testing/aqemu/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-12-13 09:38:56 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-12-14 15:30:16 +0000
commit0b05706c54f3dfd0e22a3b837003274582630d61 (patch)
treecaf50a43492045c07df4ee773b5af9cdbdc8fcf2 /testing/aqemu/APKBUILD
parentd1b0c41cdea0ff991078ebb14da22350dbd21889 (diff)
downloadaports-0b05706c54f3dfd0e22a3b837003274582630d61.tar.gz
aports-0b05706c54f3dfd0e22a3b837003274582630d61.tar.bz2
aports-0b05706c54f3dfd0e22a3b837003274582630d61.tar.xz
testing/aqemu: new aport
Diffstat (limited to 'testing/aqemu/APKBUILD')
-rw-r--r--testing/aqemu/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/testing/aqemu/APKBUILD b/testing/aqemu/APKBUILD
new file mode 100644
index 0000000000..31690c51fb
--- /dev/null
+++ b/testing/aqemu/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=aqemu
+pkgver=0.9.2
+pkgrel=0
+pkgdesc="GUI for virtual machines using QEMU as the backend"
+url="https://sourceforge.net/projects/aqemu/"
+arch="all"
+license="GPL2"
+depends="qemu"
+makedepends="cmake libvncserver-dev bzip2 qt5-qtbase-dev glib-dev"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/tobimensch/$pkgname/archive/v$pkgver.tar.gz
+aqemu-0.9.2-qtbindir.patch"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ cmake -DCMAKE_INSTALL_PREFIX="/usr"
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="cd7f6077a5a49a25450dc007532b0f95 aqemu-0.9.2.tar.gz
+7ca1daaed628ece86ca565630ea340ef aqemu-0.9.2-qtbindir.patch"
+sha256sums="e3d54de00ebdce3754f97f7e0e7cce8cebb588e8ce6bc249401cc909281b08de aqemu-0.9.2.tar.gz
+b1ed61da27c97ebf689b17463d876c39fd84e2e99ed3f4921295f3f627b9a59a aqemu-0.9.2-qtbindir.patch"
+sha512sums="9d4808172ee1be82509956560e4d3f9ee349fedd920342146083cc9bc79ef51fc95937c64f20ffb13e2849c577f95f59b5b65271d6e29e2d2e1ec2d1562006ba aqemu-0.9.2.tar.gz
+f85e6c2487dfef86470773949f6796af9efdf066d9871ac4cdfddd064c85fbf893574e602ab2c6cd1198dc9eb76f0722b5a85ec046b2dca2275a24799418c996 aqemu-0.9.2-qtbindir.patch"